%global dialogsubversion 20211107
Name:          dialog
Version:       1.3
Release:       20
Summary:       A utility which displays dialog boxes from shell scripts
License:       LGPLv2
URL:           https://invisible-island.net/dialog/dialog.html
Source0:       https://invisible-mirror.net/archives/dialog//dialog-%{version}-%{dialogsubversion}.tgz

BuildRequires: gcc ncurses-devel gettext findutils libtool
Provides:      dialog-static
Obsoletes:     dialog-static

%description
Dialog is a program that will let you present a variety of questions or
display messages using dialog boxes from a shell script.   These  types
of  dialog  boxes  are implemented (though not all are necessarily com-
piled into dialog):
buildlist, calendar, checklist, dselect, editbox, form, fselect,
gauge, infobox, inputbox, inputmenu, menu, mixedform,
mixedgauge, msgbox (message), passwordbox, passwordform, pause,
prgbox, programbox, progressbox, radiolist, rangebox, tailbox,
tailboxbg, textbox, timebox, treeview, and yesno (yes/no).

%package devel
Summary: Development files for building applications with the dialog library
Requires: %{name} = %{version}-%{release} ncurses-devel

%description devel
Dialog is a utility that allows you to show dialog boxes (containing
questions or messages) in TTY (text mode) interfaces. This package
contains the files needed for developing applications, which use the
dialog library.

%package_help

%prep
%autosetup -n dialog-%{version}-%{dialogsubversion} -p1

%build
%configure \
	--enable-nls \
	--with-libtool \
	--with-ncursesw \
	--includedir=%{_includedir}/dialog
%make_build

%install
rm -rf samples/install
find samples -type f -print0 |xargs -0 chmod a-x

%make_install

chmod 755 %{buildroot}%{_libdir}/libdialog.so.*.*.*


%ldconfig_scriptlets

%check

%pre

%post

%preun

%postun

%files
%doc CHANGES COPYING dialog.lsm README samples
%{_bindir}/dialog
%{_libdir}/libdialog.so.15*
%{_datadir}/locale/
%exclude %{_libdir}/libdialog.{,l}a
%exclude %{_libdir}/.libs/*

%files devel
%{_includedir}/dialog
%{_bindir}/dialog-config
%{_libdir}/libdialog.so

%files help
%{_mandir}/man1/dialog.*
%{_mandir}/man3/dialog.*

%changelog
* Tue Oct 25 2022 yanglongkang <yanglongkang@h-partners.com> - 1.3-20
- rebuild for next release

* Wed Dec 2 2020 shangyibin <shangyibin1@huawei.com> - 1.3-19
- update Source0

* Sat Sep 5 2020 shixuantong <shixuantong@huawei.com> - 1.3-18
- update Source0

* Sat Jan 11 2020 zhangguangzhi<zhangguangzhi3@huawei.com> - 1.3-17
- del patch to be consistent with open source

* Thu Sep 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.3-16
- Package init
